(* $Id: menu_help.ml 678 2007-02-25 17:16:54Z gerd $
 * ----------------------------------------------------------------------
 * Copyright 2003 by Gerd Stolpmann. 
 * 
 * This file is part of godi-tools. 
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

open Godi_types
open Printf
 

let lf_re = Str.regexp "\n";;
 
 
let display (mk_pg : unit -> Miniui.page) help_str () =
  let pg = mk_pg() in

  Menu_aux.add_compact_head ~lmargin:6 pg ">>> Help <<<";

  let lines = Str.split lf_re help_str in
  List.iter pg#put_line lines;

  ignore(pg # add_foot_button ~text:"exit menu" ~underline:1
           ~callback:pg#quit
           (`Keypress 'x'));
     
  pg # loop()
;;

 
